#ifndef MOJE_HEAD
#define MOJE_HEAD

#include <QApplication>
#include <QPushButton>
#include <QWidget>
#include <QGridLayout>
#include <QPainter>
#include <QMenuBar>
#include <QTextEdit>
#include "wykres.h"

class moje:public QWidget
{

  Q_OBJECT

public:
  
  moje(QWidget *parent=0);
  QGridLayout *lay;
  QTextEdit *lab;
  QTextEdit *lab2;
  wykres *qwykres;

  QMenuBar *pasekmenu;
  QMenu *fileMenu;
  QMenu *scaleMenu;
  QMenu *viewMenu;
  QMenu *mapMenu;

  QAction *exitAct;
  QAction *doubleScaleTarget;
  QAction *halfScaleTarget;
  QAction *doubleScaleSource;
  QAction *halfScaleSource;
  QAction *horizontallines;
  QAction *verticallines;
  QAction *drawcircles;
  QAction *drawellipses;
  QAction *drawrays;
  QAction *lines;
  QAction *circlesandlines;
  QAction *Phomografia;
  QAction *Pexp;
  QAction *Pzukowski;
  QAction *Pkwadrat;
  QAction *Pszescian;
  QAction *Pdigamma;
  QAction *Parcsine;
  QAction *Plogarithm;
  QAction *Psquareroot;
  QAction *Pnakwadrat;
  QAction *Ptangens;
  QAction *Parctangens;
  QAction *Parctangensh;
  QAction *Pbezcwiartki;
  QAction *PschwarzchristII;
  QAction *Plogcoth;
  QAction *PschwarzchristIII;
  QAction *PschwarzchristIV;

  QAction *linenumberincrease;
  QAction *linenumberdecrease;
  QAction *changevaluetarget;
  QAction *inftytoorigin;
  QAction *ellipserescale;
  QAction *changemobius;

  void CreateActions();
  void CreateMenus();
  void ConnectActionsToMenus();

};

#endif




